package com.banctec.caseware.server.actionpersister;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

@Entity(name="ActionPersister")
@Table(name="CW_ACTION")
@NamedQueries({
	@NamedQuery(name="findAllActions", query="SELECT OBJECT(a) FROM ActionPersister a"),
	@NamedQuery(name="findActions", query="SELECT OBJECT(a) FROM ActionPersister a WHERE a.action = ?1"),
	@NamedQuery(name="findActionByName", query="SELECT OBJECT(a) FROM ActionPersister a WHERE a.name = ?1")
})
public class ActionPersisterBean implements Serializable {
	
	private static final long serialVersionUID = -7309787579922528673L;
	@Column(name="NAME")
	private String name;
	
	public String getName(){
		return name;
	}

	public void setName(String name){
		this.name = name;
	}

	@Column(name="ID")
	@Id
	private Long id;
	
    public Long getId(){
    	return id;
    }

    public void setId(Long id){
    	this.id = id;
    }

    @Column(name="DESCRIPTION")
    private String description;
    
    public String getDescription(){
    	return description;
    }

    public void setDescription(String description){
    	this.description = description;
    }

    @Column(name="ACTION")
    private String action;
    
    public String getAction(){
    	return action;
    }

    public void setAction(String action){
    	this.action = action;
    }
    
	@Column(name="COST")
	private Long cost;
	
	public Long getCost(){
		return this.cost;
	}
	
	public void setCost(Long cost) {
		this.cost = cost;
	}
	
    @Column(name="ACTIONXML")
    private byte[] actionXML;
    
    public byte[] getActionXML(){
    	return actionXML;
    }

    public void setActionXML(byte[] actionXML){
    	this.actionXML = actionXML;
    }

    @Column(name="CREATED_DATE")
    private String createdDate;
    
    public String getCreatedDate(){
    	return createdDate;
    }

    public void setCreatedDate(String createdDate){
    	this.createdDate = createdDate;
    }

    @Column(name="CREATED_BY")
    private String createdBy;
    
    public String getCreatedBy(){
    	return createdBy;
    }

    public void setCreatedBy(String userName){
    	this.createdBy = userName;
    }

    @Column(name="MODIFIED_DATE")
    private String modifiedDate;
    
    public String getModifiedDate(){
    	return modifiedDate;
    }

    public void setModifiedDate(String modifiedDate){
    	this.modifiedDate = modifiedDate;
    }

    @Column(name="MODIFIED_BY")
    private String modifiedBy;
    
    public String getModifiedBy(){
    	return modifiedBy;
    }

    public void setModifiedBy(String userName){
    	this.modifiedBy = userName;
    }
}